---
title: Add UBO to Entity
slug: poc-onboarding/add-ubo-to-entity
createdAt: 2025-06-23T05:38:42.430Z
---

{
  "id": "Dy0_nI5AH5OydjztypWFB",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/AddUBO",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/AddUBO"
      }
    ],
    "name": "Add UBO to Entity",
    "description": "<p>When you've created an entity, use this endpoint to link other applicants or entities as ultimate beneficial owners (UBOs) to the original entity. This will allow you to clearly view the company structure.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "example": "{\"applicantId\":\"4242424242424x424242424242424242\",\"uboApplicantId\":\"4242424242424x424242424242424242\",\"position\":\"Director\"}",
          "description": "",
          "customType": "Add_UBO_to_Entity",
          "schema": [
            {
              "name": "applicantId",
              "kind": "optional",
              "type": "string",
              "example": ""
            },
            {
              "name": "uboApplicantId",
              "kind": "optional",
              "type": "string",
              "example": ""
            },
            {
              "name": "position",
              "kind": "optional",
              "type": "string",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/Add_UBO_to_Entity",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"status\":\"success\",\"applicantId\":\"4242424242424x424242424242424242\",\"ubos\":[{\"applicantId\":\"4242424242424x424242424242424242\",\"type\":\"Individual\",\"position\":\"Director\"}],\"errors\":[]}",
            "description": "",
            "customType": "Add_UBO_to_Entity_-_Response",
            "schema": [
              {
                "name": "status",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "applicantId",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "ubos",
                "kind": "optional",
                "type": "array",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "applicantId",
                    "kind": "required",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string",
                    "example": ""
                  },
                  {
                    "name": "position",
                    "kind": "required",
                    "type": "string",
                    "example": ""
                  }
                ]
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/Add_UBO_to_Entity_-_Response",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/AddUBO \\\n     --header 'accept: application/json'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/AddUBO\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/AddUBO\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/AddUBO\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "{\n  \"status\": \"\",\n  \"applicantId\": \"\",\n  \"ubos\": [\n    {\n      \"applicantId\": \"\",\n      \"type\": \"\",\n      \"position\": \"\"\n    }\n  ],\n  \"errors\": [\n    {}\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "X8zE2JFs8knPdDROY1CXm",
      "type": "paragraph",
      "children": [
        {
          "text": "When you've created an entity, use this endpoint to link other applicants or entities as ultimate beneficial owners (UBOs) to the original entity. This will allow you to clearly view the company structure."
        }
      ]
    }
  ]
}